/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#include "etoolbar.h"
#include "etoolbar.moc"

#include <eaction.h>

#include <QSettings>

EToolBar::EToolBar(const QString& title, QWidget* parent)
	: QToolBar(title, parent)
{
	init();
}

EToolBar::EToolBar(QWidget* parent)
	: QToolBar(parent)
{
	init();
}

// EAction* EToolBar::addAction(QString standardIconName, QString iconPath, const QString& text,
// 														 const QObject *reciever, const char* member, bool enableText)
// {
// 	EAction * action = new EAction(standardIconName, iconPath, text, NULL, enableText);
// 	connect(action, SIGNAL(triggered(bool)), reciever, member);
// 	QToolBar::addAction(action);
// 	return action;
// }
// 
// EAction* EToolBar::addAction(const QString& text, const QObject *reciever, const char* member)
// {
// 	EAction *action = new EAction(text);
// 	connect(action, SIGNAL(triggered(bool)), reciever, member);
// 	QToolBar::addAction(action);
// 	return action;
// }

void EToolBar::init()
{
	QSettings qSettings;
  if(qSettings.value ( "iconsAndText", false ).toBool())
		setToolButtonStyle(Qt::ToolButtonTextUnderIcon);
}
