/*
    Copyright (C) 2011 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef EFILESERVICESETTINGS_H
#define EFILESERVICESETTINGS_H

#include "esettingswidget.h"
#include "ui_efileservicesettings.h"

class EFileServicePlugin;

class EFileServiceSettings : public ESettingsWidget, private Ui::EFileServiceSettings
{
	Q_OBJECT
	public:
		EFileServiceSettings(QWidget *parent = NULL, Qt::WindowFlags flags = 0);
		
	public slots:
		bool saveSettings(QString &error);
		
	private slots:
		void switchService();
		
	private:
		QMap<QString, EFileServicePlugin*> mapServices;
		EFileServicePlugin *currentPlugin;
};

#endif // EFILESERVICESETTINGS_H
