/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ELISTADDBUTTONDESIGNERPLUGIN_H
#define ELISTADDBUTTONDESIGNERPLUGIN_H

#include <QObject>
#include <QDesignerCustomWidgetInterface>

class EListAddButtonDesignerPlugin : public QObject, public QDesignerCustomWidgetInterface
{
	Q_OBJECT
  Q_INTERFACES(QDesignerCustomWidgetInterface)
  public:
    EListAddButtonDesignerPlugin(QObject *parent = 0);

		QString name() const;
		QString group() const;
		QString toolTip() const;
    QString whatsThis() const;
		QString includeFile() const;
		QIcon icon() const;
		bool isContainer() const;
    QWidget *createWidget(QWidget *parent);
		QString domXml() const;
// 		codeTemplate() const;
		void initialize(QDesignerFormEditorInterface *core);
		bool isInitialized() const;

  private:
     bool initialized;
};

#endif // ELISTADDBUTTONDESIGNERPLUGIN_H
